System.Windows.Input.ICommand Not Available in ATEasy 8.0 148c?
Joseph P.
Tucson, AZ

Sep 9, 2013
6 Posts

System.Windows.Input.ICommand not available in ATEasy 8.0 148c?

I am trying to import a .NET 4.0 dll, that exposes some properties as: System.Windows.Input.ICommand
When ATEasy shows the classes, the value is show as only Object.
So I tried just inserting the PresentationCore 4.0 library, this did not show the ICommand interface as being imported as well.

Is this a known problem, and if so, is there a work around?

NOTE: I downloaded 148c and this did not help the problem.
TO DUPLICATE: Insert PresentationCore 3.0 or 4.0 and look for the ICommand uder the classes in the System.Windows.Input namespace.

DrATEasy (Ron Y.)
Mission Viejo,

Sep 9, 2013
235 Posts

Re: System.Windows.Input.ICommand not available in ATEasy 8.0 148c?

The problem is with the  PresentationCore.dll assembly.  In .Net 4.0 Microsoft has moved the ICommand interface from PresentationCore.dll to System.dll (namespace System.Windows.Input.ICommand); ATEasy unable to load ICommand from PresentationCore.dll assembly and has to convert it to generic Object type. You will need to include System v4.0 assembly (select the System.Windows.Input.ICommandclass ) to view ICommand interface.  

Joseph P.
Tucson, AZ

Sep 18, 2013
6 Posts

Re: System.Windows.Input.ICommand not available in ATEasy 8.0 148c?

To my knowledge the change to the ICommand interface is for .NET 4.5.
So the System.Windows.Input.ICommand interface still exists in the PresentationCore.dll as of 4.0.
The object browser in Visual Studio shows me that PresentationCore has the ICommand and System does not.
The object browser in ATEasy seems to find an ICommand interface in the System.dll in the 4.0 version and therefore no ICommand in the PresentationCore.dll

I am not sure how to rectify this other than wrap my ICommand objects so that they are ATEasy compatible?

Solution Available
Albert Q.
Anaheim, CA

Sep 19, 2013
11 Posts

Re: System.Windows.Input.ICommand not available in ATEasy 8.0 148c?

When .NET 4.5 is installed it effectively replaces .NET 4.0 on the machine, the new set of assemblies have the same version v4.0.30319 as the old ones.
The v4.0 System.dll and PresentationCore.dll displayed under ATEasy are actually new assemblies installed by .Net 4.5.

You can work-around this problem by forcing ATEasy to use old version assemblies (<4.0) using the xml config file, the config file must have the same name as the exe (e.g ATEasy.exe.config or MyStandAloneExe.exe.config) and resides in the same folder as the exe, the file contains the following xml text :

<?xml version="1.0" encoding="utf-8" ?>
<configuration>
<!-- http://msdn.microsoft.com/en-us/library/w4atty68.aspx -->
<startup useLegacyV2RuntimeActivationPolicy="true">
<supportedRuntime version="v2.0.50727" />
</startup>
</configuration>

I've attached the ATEasy.exe.config file, please download and copy this file to ATEasy folder.


File Attachment:
ATEasy.exe.config



Please Note
You need to have a M@GIC account to participate in the Forums.
Not yet registered on our website? Click here to register today!

All content, information and opinions presented on the Marvin Test Solutions User Forums are those of the authors of the posts and messages and not Marvin Test Solutions'. All attachments and files are downloaded at your own risk. [Read More]